
/*--------------------------------------------------------------------------
/*
 * Memory Spaces Definitions.
 *
 * Update for a specific board. 
 *   FLASH.ORIGIN : starting address of flash
 *   FLASH.LENGTH : length of flash
 *   RAM.ORIGIN   : starting address of main RAM
 *   RAM.LENGTH   : length of main RAM
 *
 * The values below can be addressed in linker scripts
 * using functions like 'ORIGIN(RAM)' or 'LENGTH(RAM)'.
 */

/* Memory definitions for  STM32F427/37xx ,STM32F429/39xx
 * Adjust your amount of FLASH
 *
 * Can't execute code from CCMRAM
 * Can execute code from SRAM1 (112 KB) : 0x2000 0000 - 0x2001 BFFF
 * Can execute code from external memory (FSMC/FMC)
 */

MEMORY
{
	FLASH         (xr) : ORIGIN = 0x08000000, LENGTH = 1024K
	FLASHB2       (xr) : ORIGIN = 0x00000000, LENGTH = 0
	RAM          (xrw) : ORIGIN = 0x20000000, LENGTH = 192K
	CCMRAM        (rw) : ORIGIN = 0x10000000, LENGTH = 64K
	BKPRAM        (rw) : ORIGIN = 0x40024000, LENGTH = 4K

	EXTMEMB0     (xrw) : ORIGIN = 0x00000000, LENGTH = 0
	EXTMEMB1     (xrw) : ORIGIN = 0x00000000, LENGTH = 0
	EXTMEMB2     (xrw) : ORIGIN = 0x00000000, LENGTH = 0
	EXTMEMB3     (xrw) : ORIGIN = 0x00000000, LENGTH = 0
}

INCLUDE ../sections.ld